
Figure - Bug #117811
【IOVDEV-26161】【VC1】【0094】【台架】【EE环境】【副屏】【设置】活动主题屏保封面右上角关闭按
钮功能无法实现
2023-05-08 17:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-08

Priority: Normal Due date: 2023-05-16

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0076.x101��副屏版本：01.00.0094.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-17

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230508 10：00

【前提条件】：副屏上电

【操作步骤】

1.副屏-显示-当前的屏保-活动主题屏保

2.主题列表添加主题

3.已选择活动主题列表-点击主题封面右上角关闭按钮

【实际结果】

1.按钮点击无反应

【期望结果】

1.移除已选择的主题屏保

【备注】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0094.c103

History

#1 - 2023-05-09 17:23 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-05-15 19:16 - CDTS-TEST 周婷

- Due date set to 2023-05-16

#3 - 2023-05-16 23:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200347 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com
AF: ScreenSaver: Modify theme edit logicTC-RID: 0301-0300602IssueID: TS-R-BUG-117811Change-Id: I2539f9b861d6eb2697f4e227141ecdfb13ff901f

#4 - 2023-05-17 10:59 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-17

- Root cause set to 编码问题

【当前状态】

问题已处理，待验证

【我的分析】

1、根据需求，主题屏保默认订阅第一个主题素材，在编辑订阅的时候，如果订阅剩余1个，不允许取消订阅。

2、当前订阅主题数量变为1的时候隐藏“减号”，不允许取消唯一主题的订阅

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/200347

#5 - 2023-05-19 10:14 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to NEED_INFO

#6 - 2023-05-23 18:21 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#7 - 2023-05-23 18:28 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-23 18:28 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

video(23).mp4 2.72 MB 2023-05-08 CDTS_Test 吴诗雨
